Subject: Re: [Bier] BoF focus questions

From: Xuxiaohu <[email-masked]>
Date: Fri, 7 Nov 2014 10:03:54 +0000

Hi Greg,

Can you allocate me a 10-min slot to talk about the bitstring-based multicast forwarding performance analysis (no draft, only slides)?  In this presentation, I would explore possible bitstring-based multicast forwarding modes and their corresponding issues. I believe this would be helpful for us to evaluate the cost of such new data-plane behavior.

Best regards,
Xiaohu

From: BIER [mailto:[email-masked]] On Behalf Of Greg Shepherd
Sent: Thursday, October 23, 2014 4:50 AM
To: [email-masked]
Subject: [Bier] BoF focus questions

*,

First, thank all of you for joining and contributing to some interesting discussion! This is potentially some exciting new work and the detailed discussions here on the list would indicate that there is community interest already.

BUT, to date there is no WG, there is no adoption of this work by any other WG, and we haven't even had our first BoF. Please feel free to continue the bit-fiddling discussions on the other threads, but also please join in in discussing the initial questions we need to address leading into and during the upcoming BoF:

What are the problems to be solved?

   Please look at the current problem statement draft and voice your agreement/disagreement/additions as you see them.

https://tools.ietf.org/html/draft-shepherd-bier-problem-statement-00

What are the use cases?

   There is a draft in the work I understand, but we need input from the broader community about how this work may be able to address other use cases not yet considered. I have received some private email around this issue and in every case asked them to take it to the list. Here's your chance.

What is the cost of a new data-plane behavior?

   The current architecture draft presents a solution which requires a completely new data-plane. This may have a considerably different cost than a solution which can be achieved by simply tweak an existing solution or data-plane. What is the overall impact of a new data-plane solution?

https://tools.ietf.org/html/draft-wijnands-bier-architecture-00

Does this problem warrant a new data-plane behavior?

   Knowing all the above, do we feel the potential benefits justify the work?

Don't hold back. All input is valid. It's best that we begin this discussion right away so that we may more efficiently focus the discussion in Hawaii. I'm looking forward to hearing from you all here, and seeing you in HI. Yes, there will be Bier at the BIER BoF. How couldn't we?

Cheers!,

Greg